Bug 457517 - Review Request: perl-Padre - Perl Application Development and Refactoring Environment
Review Request: perl-Padre - Perl Application Development and Refactoring Env...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 458653 458669 perl-ORLite 463763 463766 perl-PAR 463771
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 05:44 EDT by Marcela Mašláňová
Modified: 2008-10-15 07:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 07:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
Warning (286 bytes, text/plain)
2008-08-01 05:49 EDT, Marcela Mašláňová
no flags Details

  None (edit)
Description Marcela Mašláňová 2008-08-01 05:44:41 EDT
The application maintains its configuration information in a directory
called .padre

http://mmaslano.fedorapeople.org/Padre/
Comment 1 Marcela Mašláňová 2008-08-01 05:48:52 EDT
I can't pass test and the same problem appears after installation. The
application is running as I can say, but it should be removed before adding into
Fedora.
Comment 2 Marcela Mašláňová 2008-08-01 05:49:51 EDT
Created attachment 313173 [details]
Warning
Comment 3 Marcela Mašláňová 2008-09-02 04:04:59 EDT
Update to new version
http://mmaslano.fedorapeople.org/Padre/perl-Padre-0.06-1.fc9.src.rpm
Comment 4 Rakesh Pandit 2008-09-02 05:23:29 EDT
Same here.
Spec file, description of package ?
Thanks.
Comment 5 Marcela Mašláňová 2008-09-02 06:30:33 EDT
The spec
http://mmaslano.fedorapeople.org/Padre/perl-Padre.spec

Official description is quite short. Let's made up new one.

Description:
Padre is a text editor aimed to be an IDE for Perl. The application maintains its configuration information in a directory called .padre.
Comment 7 Marcela Mašláňová 2008-10-03 04:29:51 EDT
The tests should be switched off for inclusion, because it needs graphic. I've also problem with one test and I reported this into upstream.
Comment 8 Marcela Mašláňová 2008-10-08 07:56:21 EDT
This test should be ignored in the meantime, please review.
Comment 9 Dan Horák 2008-10-10 05:45:36 EDT
formal review is here, see the notes below:

OK	source files match upstream:
	    d810f98c2b56bb54d89d1a41596d8fbddfdf699c  Padre-0.10.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
BAD	rpmlint is silent.
OK	final provides and requires look sane.
N/A*	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
BAD*	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
BAD	is a GUI app, desktop file is missing

- rpmlint complains
perl-Padre.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Padre/Wx/Ack.pm
    remove the executable bits
perl-Padre.noarch: E: non-executable-script /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.pl 0644
perl-Padre.noarch: E: non-executable-script /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.t 0644
    when /auto/share/dist/Padre/templates/* must be packaged (it is required for Padre to work correctly), then you should package 2 dirs
    %{perl_vendorlib}/Padre + %{perl_vendorlib}/auto/share/dist/Padre, but not the whole %{perl_vendorlib}/* hierarchy
- tests requires running X, so the check section is disabled, but the proper BR: can exist in the spec (commented out)
- it is a GUI application, but desktop file is missing
- when running Padre in mock/Rawhide I got an error "libwx_gtk2u_stc-2.8.so: cannot open shared object file: No such file or directory", window title "Padre::Wx::App Error" - looks like something wants to open development version of this library even when the runtime lib is installed
Comment 10 Marcela Mašláňová 2008-10-10 07:29:23 EDT
This example and test should have permission 644
/usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.pl
/usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.pl

Desktop file wasn't included in upstream source. Should I create it or file a bug to upstream?

The error "libwx_gtk2u_stc-2.8.so:..." wasn't resolved by upstream till now, but he's working on solution.

http://mmaslano.fedorapeople.org/Padre/perl-Padre.spec
http://mmaslano.fedorapeople.org/Padre/perl-Padre-0.10-2.fc9.src.rpm
Comment 11 Dan Horák 2008-10-10 07:39:55 EDT
(In reply to comment #10)
> This example and test should have permission 644
> /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.pl
> /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Padre/templates/template.pl

ok

> 
> Desktop file wasn't included in upstream source. Should I create it or file a
> bug to upstream?

please create one - https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files 

> The error "libwx_gtk2u_stc-2.8.so:..." wasn't resolved by upstream till now,
> but he's working on solution.

ok
Comment 14 Dan Horák 2008-10-15 02:46:04 EDT
All issues fixed, package is APPROVED. But remove the "--add-category" parameter when calling desktop-file-install (category is already set in the dekstop file itself) before import.
Comment 15 Marcela Mašláňová 2008-10-15 02:54:06 EDT
New Package CVS Request
=======================
Package Name: perl-Padre
Short Description: text editor aimed to be an IDE for Perl
Owners: mmaslano
Branches: F-10 rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 16 Huzaifa S. Sidhpurwala 2008-10-15 05:59:32 EDT
cvs done
Comment 17 Marcela Mašláňová 2008-10-15 07:01:44 EDT
Should be in F-10 perl-Padre-0.10-4.fc10.

Note You need to log in before you can comment on or make changes to this bug.